# ANSODTRE (ANSTrainingEngine) Unit Test
add_executable(ANSODTRE-UnitTest
    ANSODTRE-UnitTest.cpp
)

target_include_directories(ANSODTRE-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/modules/ANSTrainingEngine
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSODTRE-UnitTest
    PRIVATE ANSTrainingEngine
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
)

if(WIN32)
    target_link_libraries(ANSODTRE-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSODTRE-UnitTest PRIVATE UNICODE _UNICODE)
